#include <iostream>

/*
  On peut modifier la valeur de retour d'une fonction
  en renvoyant une adresse (sous forme de pointeur ou
  de reference). La syntaxe est plus simple en utilisant
  desx references.
*/

// Les fonction max et max_r renvoient l'adresse du plus grand de ses deux arguments.

int *max(int *p_a, int *p_b)
{
  return (*p_a>*p_b) ? p_a : p_b;
}

int &max_r(int &a, int &b)
{
  return (a>b) ? a : b;
}

int main(void)
{
  int a=0, b=1;

  std::cout << a << " " << b << std::endl;
  (*max(&a,&b)) = 4;
  std::cout << a << " " << b << std::endl;
  max_r(a,b) ++;
  std::cout << a << " " << b << std::endl;
  
  return 0;
}
