#include <iostream>
#include <array>


int main(void)
{
  std::array<double, 12> x;


  for (int i=0; i<12; i++)
	x[i] = i*i; // x[i] permet d'acceder au ieme element du tableau (en lecture et ecriture)


  // On affiche x par un iterateur
  for (std::array<double, 3>::iterator it = x.begin() ; it != x.end(); it++)
	std::cout << *it << " ";
  std::cout << std::endl;


  // L'iterateur permet aussi de modifier le tableau
  for (std::array<double, 3>::iterator it = x.begin() ; it != x.end(); it++)
	*it += 3 ;
  

  // On affiche
  for (std::array<double, 3>::iterator it = x.begin() ; it != x.end(); it++)
	std::cout << *it << " ";
  std::cout << std::endl;
  
  
  x.fill(12); // On remplit le tableau avec des 12.

  // On affiche
  for (std::array<double, 3>::iterator it = x.begin() ; it != x.end(); it++)
	std::cout << *it << " ";
  std::cout << std::endl;
  
}
