#include <iostream>

/*
  Autre methode pour afficher les nombres premier
  jusqu'a 1000 : le "crible d'Eratosthene"
*/


int main(void)
{
  bool premier[999]; // A la fin du programme, premier[i-2] contiendra true si i est premier, false sinon

  for (int i=2; i<=1000; i++)
	// On met tout le monde a true
	premier[i-2] = true;

  for (int i=2; i*i<=1000; i++)
	// On parcourt le tableau jusqu'a sqrt(1000)
	if (premier[i-2])
	  for (int j=i+1; j<=1000; j++)
		if (j%i == 0)
		  premier[j-2] = false; // On note comme non premiers les multiples de i


  // On affiche ensuite le resultat
  for (int i=2; i<=1000; i++)
	if (premier[i-2])
	  std::cout << i << std::endl;

  return 0;
}
