#include <set>
#include <iostream>


int main(void)
{
  std::set<int> X;

  for (int x=1; x<100; x *= 2)
	X.insert(x);

  for (std::set<int>::iterator it = X.begin() ; it != X.end(); it++)
	std::cout << *it << " ";
  std::cout << std::endl;

  X.insert(8); // On insere un element deja present : il ne se passe rien
  X.insert(14); // On insere un element qui est automatiquement classé

  for (std::set<int>::iterator it = X.begin() ; it != X.end(); it++)
	std::cout << *it << " ";
  std::cout << std::endl;


  
  std::set<int>::iterator it = X.find(8); // find renvoie un iterateur vers la valeur fournie.
  while (it != X.end())
	{
	  std::cout << *it << " ";
	  it ++;
	}
  std::cout << std::endl;
  
    
}
